This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 212663 - FTP install fails when iso images are mounted on loopback device
FTP install fails when iso images are mounted on loopback device
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda (Show other bugs)
4.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
http://www.redhat.com/docs/manuals/en...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 17:44 EDT by Joseph Womack
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-12 13:16:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Womack 2006-10-27 17:44:28 EDT
Description of problem:
When you try and do a text based install via FTP using the second tree
structure, the install fails on package hwdata-0.146.18.EL-1.

MSG:  The package hwdata-0.146.18.EL-1 cannot be opened.  This is due to a
missing file or perhaps a corrupt package.  If you are installing from CD media
this usually means the CD media is corrupt, or the CD drive is unable to read
the media.  Press <return> to try again.

Version-Release number of selected component (if applicable):


How reproducible:
This is reproducable.

Steps to Reproduce:
1. Create and configure install server
2. mkdir /var/ftp/pub/rhel4u3/disk[1234]
3. mount -o ro,loop /export/RHEL4-U3-i386-ES-disk[1234].iso
/var/ftp/pub/rhel4u3/disk[1234]
4. Boot client system and choose an FTP install
  
Actual results:
Client install fails

Expected results:
I should be able to do the install as the manual suggests

Additional info:
I turned on logging for the FTP server and the package is trying to be
downloaded from the wrong location.  It thinks the package is on disk1, when it
is on disk2.

FTP log:
Fri Oct 27 15:57:42 2006 1 192.168.0.10 0
/pub/rhel4u3/disk1/RedHat/RPMS/hwdata-0.146.18.EL-1.noarch.rpm b _ o a
anonymous@ ftp 0 * i

File location:
[root@Installer ftp]# find . -name "hwdata*" -print
./pub/rhel4u3/disk2/RedHat/RPMS/hwdata-0.146.18.EL-1.noarch.rpm
Comment 1 David Cantrell 2006-11-02 13:32:56 EST
Can you try with the RHEL4 update release (RHEL 4.4 or RHEL4 Update 4)?
Comment 2 Red Hat Bugzilla 2007-06-11 23:21:12 EDT
requested by Jams Antill
Comment 3 Joseph Womack 2007-06-12 13:14:00 EDT
I do not have this environment set up any more.  We were using update 3 because
of application requirements.  update 4 was not approved for our application.
Comment 4 Chris Lumens 2007-06-12 13:16:45 EDT
Feel free to reopen this bug if you continue seeing problems or have more
information to add.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.